package com.cusc.nirvana.user.rnr.fp.service;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.fp.dto.*;
import com.cusc.nirvana.user.rnr.mg.client.MgRnrCardInfoClient;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrCardInfoDTO;
import com.cusc.nirvana.user.rnr.mg.dto.RnrOrderDTO;
import com.cusc.nirvana.user.rnr.mg.dto.RnrRelationDTO;

import java.util.List;

public interface IFpCardUnBindService {

    Response ownerUnbind(RnrRelationDTO relationDTO);

    Response getUserInfo(FpVehicleCardRnrDTO cardRnrDTO);

    Response sendUnbindSMS(FpSendMessageDTO sendMessageDTO);

    Response getCardList(FpVehicleCardRnrDTO cardRnrDTO);

    Response getMessageStatus(FpRnrSmsInfoDTO bean);

    Response receiveMessage(UnbindReceiceSMSDTO receiceSMSDTO);

    Response<RnrOrderDTO> insertOrder(RnrOrderDTO dto);

    Response<RnrOrderDTO> getOrderStatus(RnrOrderDTO dto);

    Response<RnrOrderDTO> updateOrder(RnrOrderDTO dto);

    Response checkReceiveMessageTime(RnrOrderDTO dto);
}
